hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From syuanji...@apache.org
Subject [13/29] hbase git commit: Re-add zombie test and add return of result of test running
Date Mon, 04 Jan 2016 16:56:58 GMT
Re-add zombie test and add return of result of test running


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/a999c2a0
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/a999c2a0
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/a999c2a0

Branch: refs/heads/hbase-12439
Commit: a999c2a010296625509446cd4312f7b7d69954c1
Parents: 3fca9a9
Author: stack <stack@apache.org>
Authored: Mon Dec 28 13:22:49 2015 -0800
Committer: stack <stack@apache.org>
Committed: Mon Dec 28 13:23:23 2015 -0800

----------------------------------------------------------------------
 dev-support/test-patch.sh | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/a999c2a0/dev-support/test-patch.sh
----------------------------------------------------------------------
diff --git a/dev-support/test-patch.sh b/dev-support/test-patch.sh
index a7e75ea..d0c0346 100755
--- a/dev-support/test-patch.sh
+++ b/dev-support/test-patch.sh
@@ -856,15 +856,14 @@ runTests () {
 
     {color:red}-1 core tests{color}.  The patch failed these unit tests:
      $failed_tests"
-     BAD=1
-     #JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
+     JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
+     return 1
   else
     JIRA_COMMENT="$JIRA_COMMENT
 
     {color:green}+1 core tests{color}.  The patch passed unit tests in $modules."
-     #JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
-    #BAD=$?
-    BAD=0
+    JIRA_COMMENT=`$BASEDIR/dev-support/zombie-detector.sh ${BUILD_ID}`
+    return $?
   fi
 }
 


Mime
View raw message